import { TestBed } from '@angular/core/testing';

import { JwtInterceptorService } from './jwt-interceptor.service';
import { MessageProviderToken } from '../../messaging/services/message-provider';
import { MockMessagingService } from '../../messaging/mocks/messaging.service.mock';

describe('JwtInterceptorService', () => {
  beforeEach(() => TestBed.configureTestingModule({
    providers: [
      {
        provide: MessageProviderToken,
        useClass: MockMessagingService
      }
    ]
  }));

  it('should be created', () => {
    const service: JwtInterceptorService = TestBed.get(JwtInterceptorService);
    expect(service).toBeTruthy();
  });
});
