import { TestBed } from '@angular/core/testing';

import { SecurityConfigurationService, SecurityConfig } from './security-configuration.service';
import { SecurityMockConfig } from '../mocks/mock-config';

describe('SecurityConfigurationService', () => {
  beforeEach(() => TestBed.configureTestingModule({
    providers: [
      {
        provide: SecurityConfig,
        useValue: SecurityMockConfig
      }
    ]
  }));

  it('should be created', () => {
    const service: SecurityConfigurationService = TestBed.get(SecurityConfigurationService);
    expect(service).toBeTruthy();
  });
  it('should store a mock config', () => {
    const service: SecurityConfigurationService = TestBed.get(SecurityConfigurationService);
    const config = service.getConfiguration();
    expect(JSON.stringify(SecurityMockConfig)).toEqual(JSON.stringify(config));
  });
});
