export interface ICloneable<T> {
    copyConstruct(data: T): void;
    copyTo(): T;
}
export abstract class Cloneable<T extends ICloneable<T>> implements ICloneable<T> {
    public abstract copyConstruct(data: T): void;
    copyTo(): T {
        return JSON.parse(JSON.stringify(this));
    }


}
