import { ICloneable } from '../../data/models/i-cloneable';

export interface HelloWorld {
  value: string;
  name: string;
}
export class MockModel implements HelloWorld, ICloneable<HelloWorld>{
  value: string;
  name: string;
  constructor() { }
  copyConstruct(data: HelloWorld): void {
    this.name = data.name;
    this.value = data.value;
  }
  copyTo(): MockModel {
    const result = new MockModel();
    result.name = this.name;
    result.value = this.value;
    return result;
  }
  getText(): string {
    return this.value + ' ' + this.name;
  }
}
