import { ResponseDataModel } from './response-data-model';

export interface IResponseModel<T> {
    data: T;
    messsage: string;
    code: string;
}
export interface MetadataResponseModel<T, Meta> {
    data: T;
    messsage: string;
    code: string;
    metadata: Meta;
}

export class ResponseModel<T> {
    data: ResponseDataModel<T>;
    status: number;
}
