import { TestBed } from '@angular/core/testing';
import { ResponseHandler } from './response-handler';

describe('ResponseHandlerService', () => {
  beforeEach(() => TestBed.configureTestingModule({}));

  it('should be created', () => {
    const service: ResponseHandler = TestBed.get(ResponseHandler);
    expect(service).toBeTruthy();
  });
  it('should strip out a response', () => {
    const service: ResponseHandler = TestBed.get(ResponseHandler);
    const response: any = {
      status: 200,
      body: {
        data: {
          data: [],
          enums: [],
          message: {
            content: 'string',
            message_id: 1,
            message_type: '',
            workflow_id: 12
          }
        }
      }
    };
    const mapped = service.handleResponse(response );
    expect( mapped.status).toEqual( 200 );
    expect( mapped.data.data.data).toEqual([]);
  });
});
