import { ITreeItem, ITree } from '../../tree-data/models/i-tree';

export interface IMenuItem extends ITreeItem{
    title: string;
    url?: string;
    path: string;
    icon?: string;
    roles?: string[];
    parentId: number;
    id: number;
    children?: IMenuItem[];
    isTopLevel?: boolean;
}

export interface IMenu extends ITree {
    getActiveRoute(): IMenuItem;
    getChildrenForMenuItem(id: number): IMenuItem[];
}
