import { TestBed } from '@angular/core/testing';

import { StorageConfigurationService, StorageConfig } from './storage-configuration.service';
import { StorageConfigMock } from '../mocks/config-mock';


describe('StorageConfigurationService', () => {
  beforeEach(() => TestBed.configureTestingModule({
    providers: [
      {
        provide: StorageConfig,
        useValue: StorageConfigMock
      }
    ]
  }));

  it('should be created', () => {
    const service: StorageConfigurationService = TestBed.get(StorageConfigurationService);
    expect(service).toBeTruthy();
  });
  //It doesn't do much else - 
  it('should store a mock config', () => {
    const service: StorageConfigurationService = TestBed.get(StorageConfigurationService);
    const config = service.getConfiguration();
    expect(JSON.stringify(StorageConfigMock)).toEqual(JSON.stringify(config));
  });
});
