import { IStorageConfiguration } from '../../storage/models/i-storage-configuration';

export interface IAuthenticationConfiguration extends IStorageConfiguration {
    loginUrl: string;
    apiEndpoints: {
        profileUrl: (login: string) => string;
        authUrl: string;
    };
    logoutUrl: string;
    sessionExpiryMinutes: number;
    // Maybe support multiple?
    securedDomain: string;
}
