/**
 * This is the base configuration data used to accompany the environment.ts file.
 * It mainly provides data for API linking and security. 
 */

export interface IConfig {
    apiUrl: string;
    apiVersion: string;
    schemaVersion: string;
    registeredUrls: string[];
    production: boolean;
}
