export interface IMessage {
    content?: string;
    message_id?: number;
    message_type?: string;
    workflow_id?: number;
    severity: MessageSeverity;
    summary?: string;
    detail?: string;
}

export enum MessageSeverity {
    error = 'error',
    info = 'info',
    warn = 'warn',
    success = 'success'
}