import { EmptyMockComponent } from "./empty-mock.component";
import { Routes } from "@angular/router";

export const mockRoutes: Routes = [
  {
    path: '', component: EmptyMockComponent, data: { id: 1, title: "home", icon: "icon", expectedRoles: ["public"], parentId: 0 }, children: [
      {
        component: EmptyMockComponent, path: 'child1', data: { id: 4, title: "child1", icon: "icon", expectedRoles: ["public"], parentId: 1 }, children: [
          { component: EmptyMockComponent, path: 'feature1', data: { id: 5, title: "feature1", icon: "icon", expectedRoles: ["private"], parentId: 4 } },
          { component: EmptyMockComponent, path: 'feature2', data: { id: 6, title: "feature2", icon: "icon", expectedRoles: ["private"], parentId: 4 } },
          { component: EmptyMockComponent, path: 'feature3', data: { id: 7, title: "feature3", icon: "icon", expectedRoles: ["private"], parentId: 4 } },
        ]
      }
    ]
  },
  {
    component: EmptyMockComponent, path: 'app2', data: { id: 8, title: "app2", icon: "icon", expectedRoles: ["public"], parentId: 0 }, children: [
      {
        component: EmptyMockComponent, path: 'child1', data: { id: 9, title: "child1", icon: "icon", expectedRoles: ["public"], parentId: 8 }, children: [
          { component: EmptyMockComponent, path: 'feature1', data: { id: 10, title: "feature1", icon: "icon", expectedRoles: ["user"], parentId: 9 } },
          { component: EmptyMockComponent, path: 'feature2', data: { id: 11, title: "feature2", icon: "icon", expectedRoles: ["private", "user"], parentId: 9 } },
          { component: EmptyMockComponent, path: 'feature3', data: { id: 12, title: "feature3", icon: "icon", expectedRoles: ["private"], parentId: 9 } },
        ]
      },
      {
        component: EmptyMockComponent, path: 'child2', data: { id: 13, title: "child2", icon: "icon", expectedRoles: ["public"], parentId: 8 }, children: [
          { component: EmptyMockComponent, path: 'feature1', data: { id: 14, title: "feature1-a", icon: "icon", expectedRoles: ["user"], parentId: 13 } },
          { component: EmptyMockComponent, path: 'feature2', data: { id: 15, title: "feature2", icon: "icon", expectedRoles: ["private", "user"], parentId: 13 } },
          { component: EmptyMockComponent, path: 'feature3', data: { id: 16, title: "feature3", icon: "icon", expectedRoles: ["private"], parentId: 13 } },
        ]
      }
    ]
  },
  { component: EmptyMockComponent, path: 'login', data: { id: 2, title: "login", icon: "icon", expectedRoles: ["public"], parentId: 0 } },
  { component: EmptyMockComponent, path: 'about', data: { id: 3, title: "about", icon: "icon", expectedRoles: ["public"], parentId: 0 } }
]