import { Category } from "../models/categories.model";

export class CategoryMockData {
    categories: Category[] = [
            {
                id: 1,
                parentCategoryId: null,
                name: 'Art & Illustration', // 'Art & Illustration',
                children: [
                    {
                        id: 54,
                        name: 'Prints',
                        parentCategoryId: 1,
                        children: [],
                        
                    },
                    {
                        id: 53,
                        name: 'Framed Artworks',
                        parentCategoryId: 1,
                        children: [],
                        
                    },
                    {
                        id: 52,
                        name: 'Wall Decor',
                        parentCategoryId: 1,
                        children: [],
                        
                    },
                    {
                        id: 51,
                        name: 'Photography',
                        parentCategoryId: 1,
                        children: [], 
                    }
                ]
            },
            {
                id: 2,
                parentCategoryId: null,
                name: 'Baby & Kids',
                children: [
                    {
                        id: 50,
                        name: 'Baby Clothing 0-3',
                        parentCategoryId: 2,
                        children: [], 
                    },
                    {
                        id: 49,
                        name: 'Kids Clothing 3+',
                        parentCategoryId: 2,
                        children: [], 
                    },
                    {
                        id: 48,
                        name: 'Kids Accessories',
                        parentCategoryId: 2,
                        children: [], 
                    },
                    {
                        id: 47,
                        name: 'Toys',
                        parentCategoryId: 2,
                        children: [
                            {
                                id: 55,
                                name: 'Soft Toys',
                                parentCategoryId: 47,
                                children: [],
                                
                            }
                        ],
                        
                    },
                    {
                        id: 9,
                        name: 'Kids Art',
                        parentCategoryId: 2,
                        children: [], 
                    },
                    {
                        id: 10,
                        name: 'Party',
                        parentCategoryId: 2,
                        children: [], 
                    }
                ]
            },
            {
                id: 3,
                parentCategoryId: null,
                name: 'Fashion',
                children: [
                    {
                        id: 11,
                        name: 'Clothing',
                        parentCategoryId: 3,
                        children: [], 
                    },
                    {
                        id: 12,
                        name: 'Accessories',
                        parentCategoryId: 3,
                        children: [], 
                    },
                    {
                        id: 13,
                        name: 'Bags & Wallets',
                        parentCategoryId: 3,
                        children: [], 
                    },
                    {
                        id: 14,
                        name: 'Shoes',
                        parentCategoryId: 3,
                        children: [], 
                    },
                    {
                        id: 15,
                        name: 'Hats',
                        parentCategoryId: 3,
                        children: [], 
                    }
                ]
            },
            {
                id: 4,
                parentCategoryId: null,
                name: 'Jewellery',
                children: [
                    {
                        id: 16,
                        name: 'Earrings',
                        parentCategoryId: 4,
                        children: [], 
                    },
                    {
                        id: 17,
                        name: 'Necklaces',
                        parentCategoryId: 4,
                        children: [], 
                    },
                    {
                        id: 18,
                        name: 'Bracelets',
                        parentCategoryId: 4,
                        children: [], 
                    },
                    {
                        id: 19,
                        name: 'Rings',
                        parentCategoryId: 4,
                        children: [], 
                    }
                ]
            },
            {
                id: 5,
                parentCategoryId: null,
                name: 'For Him',
                children: [
                    {
                        id: 20,
                        name: 'Clothing',
                        parentCategoryId: 5,
                        children: [],
                        
                    },
                    {
                        id: 21,
                        name: 'Grooming',
                        parentCategoryId: 5,
                        children: [],
                        
                    },
                    {
                        id: 22,
                        name: 'Bags & Wallets',
                        parentCategoryId: 5,
                        children: [],
                        
                    },
                    {
                        id: 23,
                        name: 'Accessories',
                        parentCategoryId: 5,
                        children: [],
                        
                    },
                    {
                        id: 24,
                        name: 'Hats & Caps',
                        parentCategoryId: 5,
                        children: [],
                        
                    },
                    {
                        id: 25,
                        name: 'Gadgets',
                        parentCategoryId: 5,
                        children: []
                    },
                    {
                        id: 26,
                        name: 'Shoes',
                        
                        parentCategoryId: 5,
                        children: []
                    }
                ]
            },
            {
                id: 6,
                parentCategoryId: null,
                name: 'Home & Living',
                children: [
                    {
                        id: 27,
                        name: 'Candles',
                        
                        parentCategoryId: 6,
                        children: [],                        
                    },
                    {
                        id: 28,
                        name: 'Ceramics',
                        parentCategoryId: 6,
                        children: [],                        
                    },
                    {
                        id: 29,
                        name: 'Furniture',
                        parentCategoryId: 6,
                        children: [], 
                       
                    },
                    {
                        id: 30,
                        name: 'Homewares',
                        parentCategoryId: 6,
                        children: [], 
                       
                    },
                    {
                        id: 31,
                        name: 'Lighting',
                        parentCategoryId: 6,
                        children: [], 
                       
                    },
                    {
                        id: 32,
                        name: 'Pet Accessories',
                        parentCategoryId: 6,
                        children: [], 
                       
                    },
                    {
                        id: 33,
                        name: 'Plants',
                        parentCategoryId: 6,
                        children: [], 
                       
                    },
                    {
                        id: 34,
                        name: 'Publications & Books',
                        parentCategoryId: 6,
                        children: [], 
                       
                    },
                    {
                        id: 35,
                        name: 'Stationary',
                        parentCategoryId: 6,
                        children: [], 
                       
                    },
                    {
                        id: 36,
                        name: 'Textiles',
                        parentCategoryId: 6,
                        children: [], 
                       
                    }
                ]
            },
            {
                id: 7,
                parentCategoryId: null,
                name: 'Outdoor & Adventure',
                children: [
                    {
                        id: 37,
                        name: 'Skate & Surf',
                        parentCategoryId: 7,
                        children: [], 
                       
                    },
                    {
                        id: 38,
                        name: 'Camping Accessories',
                        parentCategoryId: 7,
                        children: [], 
                       
                    },
                    {
                        id: 39,
                        name: 'Outdoor Products',
                        parentCategoryId: 7,
                        children: [], 
                       
                    },
                    {
                        id: 40,
                        name: 'Bike Accessories',
                        parentCategoryId: 7,
                        children: [], 
                       
                    },
                    {
                        id: 41,
                        name: 'Travel',
                        parentCategoryId: 7,
                        children: [], 
                       
                    }
                ]
            },
            {
                id: 8,
                parentCategoryId: null,
                name: 'Wellbeing & Beauty',
                // tslint:disable-next-line:max-line-length
                children: [
                    {
                        id: 42,
                        name: 'Yoga',
                        parentCategoryId: 8,
                        children: [], 
                       
                    },
                    {
                        id: 43,
                        name: 'Skate & Surf',
                        parentCategoryId: 8,
                        children: [], 
                       
                    },
                    {
                        id: 44,
                        name: 'Soaps',
                        parentCategoryId: 8,
                        children: [], 
                       
                    },
                    {
                        id: 45,
                        name: 'Beauty & Nailcare',
                        parentCategoryId: 8,
                        children: [], 
                       
                    },
                    {
                        id: 46,
                        name: 'Fragrances',
                        parentCategoryId: 8,
                        children: [], 
                       
                    }
                ]
            }
        ];
}
